Add-PSSnapin Microsoft.SharePoint.PowerShell ErrorAction SilentlyContinue
$webappurl = Read-Host "Enter Web Application URL"
Write-Host "Mime Type Examples:"
Write-Host "application/pdf, text/html, text/xml, application/x-shockwave-flash"
$mimetype = Read-Host "Enter a mime type:"
$webApp = Get-SPWebApplication $webappurl
If ($webApp.AllowedInlineDownloadedMimeTypes -notcontains $mimetype)
{
   Write-Host "Adding MIME Type..."
   $webApp.AllowedInlineDownloadedMimeTypes.Add($mimetype)
   $webApp.Update()
   Write-Host "Done."
} Else {
   Write-Host -ForegroundColor Green "MIME type is already added."
}
Write-Host "Press any key to continue ..."
$x = $host.UI.RawUI.ReadKey("NoEcho,IncludeKeyDown")